Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

Now I know that this has been asked several times here but I couldn't find any decent solution to it.

I am running Ubuntu 12.04 on my DELL N5110 and my touchpad is detected as a mouse, So I don't have the touchpad options availiable. Can't use multitouch and can't disable it either.

I have tried the dkms driver from this link.

But when I tried to install it with dpkg -i command, dpkg returns the following error:

ERROR (dkms apport): unable to determine source package for
psmouse-alps-dkms Error! Bad return status for module build on kernel:
3.2.0-25-generic-pae (i686) Consult /var/lib/dkms/psmouse-alps/0.10/build/make.log for more information.

I have installed all the updates as well.

Can someone help me out with this issue?

share|improve this question

5 Answers 5

up vote 4 down vote accepted

I had exact same problem on my Inspiron N5110 running Ubuntu 12.04 but was able to fix it using patch and instructions provided in these two links.

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/606238/comments/144

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/606238/comments/147

Touchpad is now recognised as a AlpsPS/2 ALPS DualPoint TouchPad and Touchpad tab is enabled in System Settings. Unfortunately, scrolling is still not an option... :-(

At least touchpad is disabled while typing, which was the biggest problem for me resulting in cryptic writings! :-) Also Fn+F3 is working now (aka, touchpad toggle).

With the last update, multitouch has been enabled on Inspiron N5110. All you need to do is install this DKMS. I think it should work for all laptops with Alps touchpad. Here are more detailed instructions on installing this module than in links provided in the answer. You'll have to change any reference of "psmouse-alps-dst-0.1" to "psmouse-alps-alt-1.3" (the latest version).

share|improve this answer
1  
can you provide a installation guide for this? –  Shota Bakuradze Nov 5 '12 at 9:33
    
@ShotaBakuradze, look for the installation guide it in garyf's answer. –  alfC Nov 7 '12 at 20:43

This one works beautifully.

Download the source from the link below and place psmouse-alps-dst-0.4 folder in /usr/src/ (you need root permission).

https://docs.google.com/open?id=0BzNsvDx_ae6bQnFLQkNFT0dWc3c

Run the install.sh with root permission (Ctrl+Alt+T)

sudo bash /usr/src/psmouse-alps-dst-0.4/install.sh

You can now configure the Touchpad in System Settings.

share|improve this answer
2  
This one is taken from the link from JKMirko's post above. Please rate this post 'useful' if it is, so that the many others who need help can find it quickly. –  garyf Nov 4 '12 at 13:09
    
Tested and works in Ubuntu 12.10, Inspiron 17r. The edge scrolling is a bit inside off the edge of the pad. Two finger scrolling, Fn-F3 and disable-while-typing works. I didn't dare to try with psmouse-alps-dst-1.0. –  alfC Nov 7 '12 at 20:47
    
I saw your suggested edit on the other answer, and have rejected it, sorry. A comment should be used, and you will be able to comment on posts that are not locked by a moderator(which happens rarely). I've given an upvote, but not to get you reputaation. I added an upvote because the post was good. –  hexafraction Nov 8 '12 at 21:33
    
In case the Google docs links breaks, the original files are here: dahetral.com/public-download. –  alfC Nov 9 '12 at 0:40
1  
Now these scripts have changed, there is no more a install.sh file. Now there is a alps.sh with lots of command line options that are hard to understand and the build option fails. –  alfC Jan 22 '13 at 8:17

How to successfully install the ALPS Touchpad DKMS driver

  • Download and try to install the deb file from here as the question indicates, using sudo dpkg -i. It will fail with the error in the question, which is fine (see bottom of the answer if you want to know the technical reason why.)

  • To build it, type/paste the following, line-by-line, in the terminal:

sudo sed -i -e '135d' /var/lib/dkms/psmouse-alps/0.10/source/src/alps.c
sudo dkms build -m psmouse-alps -v 0.10
sudo dkms install -m psmouse-alps -v 0.10
sudo modprobe psmouse
sudo sh -c "echo psmouse >> /etc/modules"
sudo update-initramfs -u
  • The driver should work now; reboot just in case.
  • DKMS should also automatically recompile whenever you upgrade/change kernels. DO NOT install the deb file again.

What was the problem?

  • The build log shows that compiling the module fails because of an error at character 33 in line 135 of the alps.c source file.
  • That line is module_param(alps_dump_packets, int, 0644);
  • The compiler expects an argument (variable name) to follow the int, but there is none.
  • Since the previous line 134 disables the alps_dump_packets feature (static int alps_dump_packets = 0;), we are probably safe simply deleting the offending line 135 with sed, which allows the module to successfully build.
share|improve this answer
    
I followed you instructions but still, no touchpad menu visible in settings. I get an error on the 5th command saying that permission is denied for /etc/modules and just I ran it as a superuser. apart from this there were no errors. –  Shota Bakuradze Jun 26 '12 at 7:17
    
I had the same results as Shota. Had run as su to get the /etc/modules line to work. Still no two-finger scroll. –  Bryan Head Jun 27 '12 at 4:29
2  
Can You upload The Driver ? Cause It's Deleted From Server –  user74237 Jun 30 '12 at 16:03
2  
The link is broken –  alfC Oct 19 '12 at 12:09
    
I'm sorry if offtopic, but should this enable two-finger scrolling with this touchpad? –  Wolter Hellmund Dec 15 '13 at 18:54

I've bought a DELL Latitude E6430 with ubuntu preloaded, I found the glidepoint driver installed.. 2 fingers scroll ok, pinch zoom ok, everything working. I looked for it in the dell repos, but no luck, so I did:

apt-cache show glidepoint

and found this

Package: glidepoint
Status: install ok installedPriority: extra
Section: alien
Installed-Size: 2100
Maintainer: xmy <xmy@pod-desktop>
Architecture: amd64
Version: 3.6-13
Depends: libc6 (>= 2.4), libgconf2-4 (>= 2.27.0), libglib2.0-0 (>= 2.12.0)
Conffiles:
 /etc/pm/sleep.d/90GlidePoint 85d3fe435ff5e904812cb1a03461d456
 /etc/init.d/glidepoint 5427379c9470ae9c74cba849b35e7df1
 /etc/xdg/autostart/glideusd.desktop 1585732553ad2ea2c547c9989134000f
 /etc/glidepoint/config c1aefbbc5c4fa9cec9c61b2485237d37
 /etc/glidepoint/port 72f67e70f6b7cdc4cc893edaddf0c4c6
Description: GlidePoint 3.6 touchpad driver
 GlidePoint 3.6 touchpad driver for Linux.
 .
 (Converted from a rpm package by alien version 8.79ubuntu0.1.)

so I repacked it with

sudo dpkg-repack glidepoint

and now I have this to share:

glidepoint_3.6-13_amd64.deb

try on your ubuntu, let me know if works.

share|improve this answer

Brief update to installing the ALPS driver set...

I followed the below instructions but found the driver was now at this location.

As users will note this is now version 0.11 of the ALPS driver and the line to remove in this version is line 137.

With these minor changes my Ubuntu 12.04 install (also on a Dell N5110) enabled the touchpad. Still no success with enabling edge or two-finger scrolling as yet, although the edge-scrolling option is now not grayed out in the Mouse and Touchpad control panel.

share|improve this answer
    
A check of xinput list-props <ALPS device) gave > Device Enabled (126): 0. Suggests that the touchpad is still not active. Any thoughts/suggestions?? –  Jonas Ingwer Jul 4 '12 at 9:45
    
Further checking indicates that the ALPS driver is still not working. Need an update for these in the kernel. –  Jonas Ingwer Jul 5 '12 at 15:47
    
From a suggested edit: the alps driver above does not work for n5110. its touchpad is different and has multi touch, etc (i dunno the details, but the above line at ~sforshee didnt work for me either). so please try the driver in my post above. it even has an installation script ready. this one basically uses a protocol different than the previous alps touchpads. that's y. (sorry i had to edit this... there was no comment option available! :o ) –  hexafraction Nov 8 '12 at 21:32

protected by Community Nov 25 '12 at 20:00

Thank you for your interest in this question. Because it has attracted low-quality answers, posting an answer now requires 10 reputation on this site.

Would you like to answer one of these unanswered questions instead?

Not the answer you're looking for? Browse other questions tagged or ask your own question.